{
    "format_version": "1.10.0",
    "minecraft:client_entity": {
        "description": {
            "identifier": "sg_vtng:large_stone_gear_entity",
            "materials": {
                "default": "entity"
            },
            "textures": {
                "default": "textures/sg/vtng/blocks/large_gear"
            },
            "geometry": {
                "default": "geometry.sg_vtng.large_stone_gear_entity"
            },
            "animations": {
                "rotation": "animation.sg_vtng.cardinal_rotation.rpm",
                "gear_connection": "animation.sg_vtng.gear_connection"
            },
            "scripts": {
                "animate": [ "rotation", "gear_connection" ]
            },
            "render_controllers": [
                "controller.render.default"
            ]
        }
    }
}